Class | Chef::Provider::Package::Yum::RPMDb
In: | lib/chef/provider/package/yum.rb
Parent: | Object

Simple storage for RPMPackage objects - keeps them unique and sorted

### Methods

<< [] available? available_size clear clear_available clear_installed installed? installed_size length lookup lookup_provides new push size whatprovides

### Public Class methods

new()

### Public Instance methods

<<(*args)
[](package_name)
available?(package)
available_size()
clear()
clear_available()
clear_installed()
installed?(package)
installed_size()
length()

Alias for size

lookup(package_name)

Lookup package_name and return a descending array of package objects

lookup_provides(provide_name)
push(*args)

Using the package name as a key, and nevra for an index, keep a unique list of packages. The available/installed state can be overwritten for existing packages.

size()
whatprovides(rpmdep)

[Validate]